package com.ruoyi.common.enums;

import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/4/10
 */
@AllArgsConstructor
@Getter
public enum ServiceCode {

    DEVICE_RECHARGE_IOT_ERROR(101001, "物联网设备充值失败"),
    DEVICE_RECHARGE_ERROR(101002, "设备充值失败"),
    RISK_WITHDRAW(102001, "提现风险"),
    RISK_REFUND(102002, "退款风险"),
    DEVICE_MAC_REPEAT(103001, "设备mac重复"),
    DEVICE_SN_REPEAT(103002, "设备sn重复");

    private final Integer code;
    private final String msg;
}
